KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# GeoDataLineString Class Reference

`from PyKDE4.marble import *`

Inherits: QVector<GeoDataCoordinates*>,Marble.GeoDataGeometry → Marble.GeoDataObject → Marble.GeoNode
Subclasses: Marble.GeoDataLinearRing
Namespace: Marble

## Detailed Description

A class that defines a contiguous set of line segments.

Also known as: non-closed Polyline

GeoDataLineString consists of GeoDataCoordinates connected through line segments. For convenience and performance we've added special methods to calculate the smallest GeoDataLatLonAltBox that contains the GeoDataLineString. This class will at some point replace GeoPolygon which is currently used for a very similar purpose.

## Methods

| __init__ (self, Marble.GeoDataObject parent=0, Marble.TessellationFlags f=Marble.NoTessellation)
| __init__ (self, Marble.GeoDataLineString a0)
| append (self, Marble.GeoDataCoordinates value)
| clear (self)
QVector<Marble::GeoDataCoordinates | erase (self, QVector<Marble::GeoDataCoordinates pos)
QVector<Marble::GeoDataCoordinates | erase (self, QVector<Marble::GeoDataCoordinates begin, QVector<Marble::GeoDataCoordinates end)
EnumGeometryId | geometryId (self)
bool | isClosed (self)
Marble.GeoDataLatLonAltBox | latLonAltBox (self)
| pack (self, QDataStream stream)
| setTessellate (self, bool tessellate)
| setTessellationFlags (self, Marble.TessellationFlags f)
bool | tessellate (self)
Marble.TessellationFlags | tessellationFlags (self)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( | self, |
|  | Marble.GeoDataObject | parent=0,
|  | Marble.TessellationFlags | f=Marble.NoTessellation
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataLineString | a0
| ) |  |  |

append | ( | self, |
|  | Marble.GeoDataCoordinates | value
| ) |  |  |

clear | ( |  | self ) |

QVector<Marble::GeoDataCoordinates erase | ( | self, |
|  | QVector<Marble::GeoDataCoordinates | pos
| ) |  |  |

QVector<Marble::GeoDataCoordinates erase | ( | self, |
|  | QVector<Marble::GeoDataCoordinates | begin,
|  | QVector<Marble::GeoDataCoordinates | end
| ) |  |  |

EnumGeometryId geometryId | ( |  | self ) |

bool isClosed | ( |  | self ) |

Marble.GeoDataLatLonAltBox latLonAltBox | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Serialize the style to a stream.

Parameters:

  |  | stream the stream

setTessellate | ( | self, |
|  | bool | tessellate
| ) |  |  |

setTessellationFlags | ( | self, |
|  | Marble.TessellationFlags | f
| ) |  |  |

bool tessellate | ( |  | self ) |

Marble.TessellationFlags tessellationFlags | ( |  | self ) |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Unserialize the style from a stream

Parameters:

  |  | stream the stream